Mailinglist Archive: opensuse-factory (1193 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180205 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180205

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
ImageMagick
alkimia (5.0.0 -> 7.0)
apache2
btrfsprogs (4.14.1 -> 4.15)
gnu-unifont-bitmap-fonts (10.0.04 -> 10.0.07)
kernel-firmware (20180104 -> 20180119)
libreoffice (6.0.0.2 -> 6.0.0.3)
libsolv (0.6.30 -> 0.6.31)
lzip (1.18 -> 1.19)
os-prober
php7
polkit-default-privs
python-base
python-certifi (2017.11.5 -> 2018.1.18)
python-pyOpenSSL (17.2.0 -> 17.5.0)
python-pycurl
python-setuptools (38.4.0 -> 38.4.1)
re2 (20180101 -> 20180201)
sha1collisiondetection
skopeo
sqlite3 (3.21.0 -> 3.22.0)
systemd

=== Details ===

==== ImageMagick ====
Subpackages: ImageMagick-devel ImageMagick-extra libMagick++-7_Q16HDRI4
libMagickCore-7_Q16HDRI5 libMagickWand-7_Q16HDRI5 perl-PerlMagick

- update context for ImageMagick-s390-disable-tests.patch

==== alkimia ====
Version update (5.0.0 -> 7.0)
Subpackages: libalkimia-devel libalkimia7

- Rename package to alkimia, following the upstream name
- update to version 7.0:
* Fix AlkValue::operator=(QString) w/ valueRef()
* Ported to Qt5, supports both Qt4 and Qt5 now
- thanks to users 'tittiatcoke' and 'wolfi323' for creating the
initial unstable package out of the git repository
- enable package builds for both Qt4 and Qt5
- remove Fix-AlkValue-operator-QString-w-valueRef.patch (applied
upstream)

==== apache2 ====
Subpackages: apache2-devel apache2-doc apache2-example-pages apache2-prefork
apache2-utils

- remove NameVirtualHost from documentation [bsc#1078557]
- for older distros, still use SuSEFirewall2 [bsc#1071548c#7]
- Replace SuSEFirewall2 by firewalld (fate#323460)

==== btrfsprogs ====
Version update (4.14.1 -> 4.15)
Subpackages: btrfsprogs-udev-rules libbtrfs0

- update to version 4.15
* mkfs --rootdir reworked, does not minimize the final image but can be still
done using a new option --shrink
* fix allocation of system chunk, don't allocate from the reserved area
* other
* new and updated tests
* cleanups, refactoring
* doc updates

==== gnu-unifont-bitmap-fonts ====
Version update (10.0.04 -> 10.0.07)

- unifont 10.0.07:
* Additions and updates to various scripts and glyphs

==== kernel-firmware ====
Version update (20180104 -> 20180119)
Subpackages: ucode-amd

- Update to version 20180119:
* amdgpu: update uvd firmware for polaris asics
* amdgpu: update vce firmware for Fiji
* amdgpu: update vcn firmware for raven
* amdgpu: update vce and uvd firmware for Vega10
* mediatek: update MT8173 VPU firmware to 1.0.8 [decoder h264] Fix h264
decoder output delay for some low latency bitstreams
* cxgb4: update firmware to revision 1.17.14.0
* linux-firmware: update Marvell PCIe-USB8897/8997 firmware image to add WPA2
vulnerability fix
* linux-firmware: intel: Update Geminilake audio firmware

==== libreoffice ====
Version update (6.0.0.2 -> 6.0.0.3)
Subpackages: libreoffice-base libreoffice-base-drivers-mysql
libreoffice-branding-upstream libreoffice-calc libreoffice-draw
libreoffice-filters-optional libreoffice-gnome libreoffice-gtk3
libreoffice-icon-themes libreoffice-impress libreoffice-kde4
libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el
libreoffice-l10n-en libreoffice-l10n-es libreoffice-l10n-fr libreoffice-l10n-hu
libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-pl
libreoffice-l10n-pt_BR libreoffice-l10n-ru libreoffice-l10n-zh_CN
libreoffice-l10n-zh_TW libreoffice-mailmerge libreoffice-math libreoffice-pyuno
libreoffice-writer libreofficekit

- Disable one more test that fails
- Do not depend on procps
- Version update to 6.0.0.3:
* RC3 phase of libreoffice 6.0.0 release

==== libsolv ====
Version update (0.6.30 -> 0.6.31)
Subpackages: libsolv-devel libsolv-tools perl-solv python-solv

- new ENABLE_RPMDB_LIBRPM/ENABLE_RPMPKG_LIBRPM config options
- new pool_set_whatprovides function to change the whatprovides
data
- much improved selection code
- bump version to 0.6.31

==== lzip ====
Version update (1.18 -> 1.19)

- Update to version 1.19
* The option '-l, --list' has been ported from lziprecover.
* Don't allow mixing different operations (-d, -l or -t).
* Compression time of option '-0' has been slightly reduced.
* Decompression time has been reduced by 2%.
* main.cc: Continue testing if any input file is a terminal.
* main.cc: Show trailing data in both hexadecimal and ASCII.
* encoder.cc (Matchfinder_base): Verify size passed to new.
* file_index.cc: Improve detection of bad dict and trailing data.
* lzip.h: Unified messages for bad magic, trailing data, etc.
- switch to https in source urls

==== os-prober ====

- Fix Windows not listed in grub menu after install or upgrade (bsc#1076779)
* os-prober-05efi-udevinfo.patch

==== php7 ====
Subpackages: apache2-mod_php7 php7-bcmath php7-bz2 php7-calendar php7-ctype
php7-curl php7-dba php7-devel php7-dom php7-exif php7-fastcgi php7-ftp php7-gd
php7-gettext php7-gmp php7-iconv php7-imap php7-json php7-ldap php7-mbstring
php7-mysql php7-odbc php7-openssl php7-pdo php7-pear php7-pear-Archive_Tar
php7-pgsql php7-shmop php7-snmp php7-sockets php7-sqlite php7-sysvsem
php7-sysvshm php7-tidy php7-tokenizer php7-wddx php7-xmlreader php7-xmlwriter
php7-xsl php7-zlib

- do not build against system gd when suse_version < 1500
- fix build for SLE12*

==== polkit-default-privs ====

- polkit-default-privs: adding more NM actions (bsc#1077504)

==== python-base ====
Subpackages: libpython2_7-1_0 libpython2_7-1_0-32bit python-devel python-xml

- Add python-skip_random_failing_tests.patch bypass boo#1078485
and exclude many tests for PowerPC

==== python-certifi ====
Version update (2017.11.5 -> 2018.1.18)

- specfile:
* update copyright year
- update to version 2018.1.18:
* Remove 1024-bit root certificates
* Include license in the list of trove classifiers
* Include license file in the generated wheel package

==== python-pyOpenSSL ====
Version update (17.2.0 -> 17.5.0)

- Update to 17.5.0:
* The minimum cryptography version is now 2.1.4.
* Fixed various memory leaks
* Various fuzz fixes
* See CHANGELOG.rst

==== python-pycurl ====
Subpackages: python2-pycurl python3-pycurl

- Disable tests on arm platforms as they are very flaky there,
on multiple runs always different failures
- Disable strict aliasing as reported by the rpm checks

==== python-setuptools ====
Version update (38.4.0 -> 38.4.1)
Subpackages: python2-setuptools python3-setuptools

- update to version 38.4.1:
* #1257: In bdist_egg.scan_module, fix ValueError on Python 3.7.

==== re2 ====
Version update (20180101 -> 20180201)

- update to 2018-01-02:
* developer visible changes only

==== sha1collisiondetection ====

- cleaner solution for the endian detection issue:
include the proper header file
- add sha1collisiondetection-endian_detection.patch
fix detection of endianness at compile time

==== skopeo ====

- do not build on s390, only on s390x (no go on s390)

==== sqlite3 ====
Version update (3.21.0 -> 3.22.0)
Subpackages: libsqlite3-0 libsqlite3-0-32bit sqlite3-devel sqlite3-doc

- update to 3.22.0:
* Add Zipfile virtual table to read and write a ZIP Archive.
* Improved handling of WAL mode databases
* various improvements, optimizations and bug fixes

==== systemd ====
Subpackages: libsystemd0 libsystemd0-32bit libudev-devel libudev1
libudev1-32bit systemd-32bit systemd-bash-completion systemd-logger
systemd-sysvinit udev

- Import commit 8ec9f58d334c76e736957812d9e57151502a6f63
07c6ee3eb compat-rules: get rid of scsi_id when generating compat symlinks
for NVMe devices (bsc#1051465)
261a4ef38 compat-rules: generate compat by-id symlinks with 'nvme' prefix
missing (bsc#1063249)
- Drop 0001-compat-rules-get-rid-of-scsi_id-when-generating-comp.patch
It's been imported in branch "compats/udev-compat-symlinks" which
has been merged in branch "openSUSE-Factory" in its turn.
- Import commit c516268845b0fd0683cef2e491b84077371e8f01
37da1facb core: disable session keyring per system sevice entirely for now
(bnc#1045886)
8a1ae0449 strv: fix buffer size calculation in strv_join_quoted()
- Drop 0001-core-disable-session-keyring-per-system-sevice-entir.patch
It's been merged in branch "SUSE/v234".
- Import commit 2087a80d56bb6f8c7fb74a19172259bc9d9af866
2b8971b8a tmpfiles: refuse to chown()/chmod() files which are hardlinked,
unless protected_hardlinks sysctl is on (bsc#1077925 CVE-2017-18078)
8c2bcac25 tmpfiles: change ownership of symlinks too


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups